Skip to main content
POST
/
wallets
/
send
Create Send
curl --request POST \
  --url https://{defaultHost}/wallets/send \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "amount": "<string>",
  "to": "<string>",
  "link": true,
  "expires_at": "2023-11-07T05:31:56Z",
  "redeemable_count": 123
}
'
{
  "object": "send",
  "tx_hash": "<string>",
  "amount": "<string>",
  "currency": "<string>",
  "source": {
    "account_id": "<string>",
    "address": "<string>"
  },
  "destination": {
    "account_id": "<string>",
    "address": "<string>"
  }
}

Authorizations

Authorization
string
header
required

A company API key, company scoped JWT, app API key, or user OAuth token.

Query Parameters

account_id
string
required

The sending account ID.

Body

application/json
amount
string
required

USDT amount to send — or the per-claim USD amount when link is true.

to
string

Recipient user ID, business account ID, ledger account ID, or email. Omit when link is true.

When true, creates a claim link instead of sending to a recipient. Mutually exclusive with to. Requires the airdrop_link:manage scope.

expires_at
string<date-time>

Claim-link expiry as an ISO 8601 timestamp (link mode only). Defaults to 24 hours from creation.

redeemable_count
integer

How many different users can claim the link (link mode only). Defaults to 1.

Response

wallet send created

Returned when sending to a recipient (to).

object
enum<string>
required
Available options:
send
tx_hash
string
required
amount
string
required
currency
string
required
source
object
required
destination
object
required